# IDE / editor files
.idea/
.vscode/
.*.swp

# General
/_tmp
/.upload_cache
*_bak
*_bak[0-9]

# Python
__pycache__
*.py[cod]
/.venv
/venv

# MicroPython
/.webrepl_client
*.mpy

# Configuration files
/Makefile.env
/src/lightbar_cfg.py
/src/webrepl_cfg.py
/src/wlan_cfg.py

# 3D modeling temporary files (FreeCAD backups, Cura projects, G-code files)
*.FCStd1
*.3mf
*.gcode
